summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Marcel Saegebarth <marc@mos6581.de>2016-07-25 04:55:21 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-07-25 15:50:21 +0700
commitd48767dd662c2f66593657c02febe0683bc0c3bc (patch)
tree8fc097186973d0a40e5a6845d9b43d7c0c9bc1bb
parent3480d6e2e9f252047e5dcfdbeb4f7331c1387230 (diff)
downloadslackbuilds-d48767dd662c2f66593657c02febe0683bc0c3bc.tar.gz
slackbuilds-d48767dd662c2f66593657c02febe0683bc0c3bc.tar.xz
network/pydio-agent: Added (desktop sync client for Pydio).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/pydio-agent/README4
-rw-r--r--network/pydio-agent/pydio-agent.SlackBuild70
-rw-r--r--network/pydio-agent/pydio-agent.info10
-rw-r--r--network/pydio-agent/slack-desc19
4 files changed, 103 insertions, 0 deletions
diff --git a/network/pydio-agent/README b/network/pydio-agent/README
new file mode 100644
index 0000000000..c6be9ffd31
--- /dev/null
+++ b/network/pydio-agent/README
@@ -0,0 +1,4 @@
+Pydio Sync is a Dropbox-like desktop sync client for the
+cloud file management Pydio.
+
+This is the RESTful backend required by the pydio-sync package.
diff --git a/network/pydio-agent/pydio-agent.SlackBuild b/network/pydio-agent/pydio-agent.SlackBuild
new file mode 100644
index 0000000000..9098dafaac
--- /dev/null
+++ b/network/pydio-agent/pydio-agent.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for "pydio-agent".
+
+# Copyright 2016 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pydio-agent
+VERSION=${VERSION:-1.2.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" != "x86_64" ]; then
+ echo "Only x86_64 is supported. Exit."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $PKG $OUTPUT
+cd $PKG
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/pydio-agent/pydio-agent.info b/network/pydio-agent/pydio-agent.info
new file mode 100644
index 0000000000..c3ca41ffec
--- /dev/null
+++ b/network/pydio-agent/pydio-agent.info
@@ -0,0 +1,10 @@
+PRGNAM="pydio-agent"
+VERSION="1.2.6"
+HOMEPAGE="https://pydio.com/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://s.mos6581.de/static/slackbuilds.org/binaries/pydio-agent/pydio-agent-1.2.6.tar.xz"
+MD5SUM_x86_64="3b2a65a70598a4184cb9395769beba73"
+REQUIRES=""
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"
diff --git a/network/pydio-agent/slack-desc b/network/pydio-agent/slack-desc
new file mode 100644
index 0000000000..8ef8503311
--- /dev/null
+++ b/network/pydio-agent/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pydio-agent: pydio agent (desktop sync client for Pydio)
+pydio-agent:
+pydio-agent: Pydio Sync is a Dropbox-like desktop sync client for the
+pydio-agent: cloud file management Pydio.
+pydio-agent:
+pydio-agent: This is the RESTful backend required by the pydio-sync package.
+pydio-agent:
+pydio-agent: Homepage: https://pydio.com/
+pydio-agent:
+pydio-agent:
+pydio-agent: